Bug 1568077 - Retirement: Remove resources switches switches back to "no" if ansible is used for retirement
Summary: Retirement: Remove resources switches switches back to "no" if ansible is use...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: lgalis
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 17:47 UTC by ldomb
Modified: 2019-02-07 23:01 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
ScreenShot retire (92.22 KB, image/png)
2018-04-16 17:47 UTC, ldomb
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:49 UTC

Description ldomb 2018-04-16 17:47:37 UTC
Created attachment 1422657 [details]
ScreenShot retire

Description of problem:

If an ansible playbook is used to retire, a user cannot choose if he wants resources removed before or after the playbook runs. It always switches back to "NO" no matter what the user chooses. If retirement is done without the ansible playbook the correct value is saved in the UI.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a catalog item
2. Choose ansible playbook for retirement
3. Try to change the value for "Remove Resources" and save
4. The value will flip back to "NO"

Actual results:

Remove Resources flips back to NO

Expected results:

Should save the chosen value.


Additional info:

Comment 2 ldomb 2018-04-16 17:48:14 UTC
The CFME version is:  5.9.2.0.20180320210136_355c506

Comment 4 Kedar Kulkarni 2018-08-23 18:57:14 UTC
On 5.10.0.12 I could see the remove resources field can be set to desired value in Retirement section of Ansible Playbook Service Catalog item.

Comment 6 errata-xmlrpc 2019-02-07 23:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.